#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-FTWcBLY1nAS2hVMuQUxK0V
key:                  stack-2.7.3-FTWcBLY1nAS2hVMuQUxK0V
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  50ac89541265eaff3461801e34027288
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-FTWcBLY1nAS2hVMuQUxK0V
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-5xJqgJM7Xo44Ry8m4HB8YT
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-BAZ66GD6pC4IMBHKXlTm55 array-0.5.4.0
    async-2.2.3-ADK08CToinJACmhOUl3TMq
    attoparsec-0.14.1-2Lwpa9GUrZtgMvbVSsTwE base-4.15.0.0
    base64-bytestring-1.2.1.0-JsO9e8VuajE8G17lKXfVPj
    bytestring-0.10.12.1 casa-client-0.0.1-1R87YYbsfkw9Qetyvd8quA
    casa-types-0.0.2-EMHb1719cKH9x9WHTqgUZa
    colour-2.3.6-95yjN8NnX1CEvjs8eixZmc
    conduit-1.3.4.2-9FsgxSw4kwI2wGCNe2ZzHA
    conduit-extra-1.3.5-Fk7FrNJDRjc1cbsT3tMht7 containers-0.6.4.1
    cryptonite-0.29-5rSENL0PHSf9WUZRJG7DOz
    cryptonite-conduit-0.2.2-AepzcBfKU3JyvL6cfl2EF deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.10-KUNc8iCHQtaIkb6fS7TV5E
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-KiYRroD4sArIZrLiVlNOh4 filepath-1.4.2.1
    fsnotify-0.3.0.1-8bdRugXV0AjKhjBV4cuidD
    generic-deriving-1.14.1-KDwTeREsbCa5XrVLH9ibWX
    hackage-security-0.6.0.1-CzG5CeOVHYJ9DBe9YEIglZ
    hashable-1.3.3.0-42gRc2xLctC1JaYfPjkrlX
    hi-file-parser-0.1.2.0-IjdsQP5YMFCFKtiq4Mv9xA
    hpack-0.34.4-EvToYV4Ti0G3SOvCRxv8Q hpc-0.6.1.0
    http-client-0.7.9-923apPBM8m42P4z1oq1AKy
    http-client-tls-0.3.5.3-H5RV09k0Al14OCLHmc2zl
    http-conduit-2.3.8-FPB2Mev2yNiDFNnUAzgvLT
    http-download-0.2.0.0-CXeMyuCDq1KE84WdRbJGXv
    http-types-0.12.3-K0EvPai3v4U1cJAtVTaqMv
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.3-IFiQyRFULarAEmaU9ruk1j mtl-2.2.2
    mustache-2.3.1-BhkJXqXJ5Ki5c2amGywKTK
    neat-interpolation-0.5.1.2-FW9UghoKlNnFpGKoMEWDFa
    network-uri-2.6.4.1-9p35oSDSrRH5LnXL8JxE48
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-8E0NxDGSSfLIkUK4NPa1xv
    pantry-0.5.2.3-2O44KtJkrJfKsXVDqNxFDi
    path-0.9.0-GtGlxw1ukWy2HrhVq6UERd
    path-io-1.6.3-CCxBuE8L4at6Haz6uCPhOh
    persistent-2.13.1.2-ASehyYCda4n5LpcBe79dQT
    persistent-sqlite-2.13.0.3-LNPrjapJUsJ91XENmjdIJe pretty-1.1.3.6
    primitive-0.7.2.0-ca28M9VQNJJ0LcLBKUxme process-1.6.11.0
    project-template-0.2.1.0-56HgO6GOpddL8KWYnafY4c
    regex-applicative-text-0.1.0.1-I2E4RmozOyjJdK8nvG4xOR
    retry-0.9.0.0-H91TiSrOyjiAr1IC5F9tD2
    rio-0.1.21.0-K2bmcLoRenf9yNFhB6idJa
    rio-prettyprint-0.1.1.0-IsBMw8xmO2THHTNAFhapWI
    split-0.2.3.4-APMQKFcl31oIYOk4dvIO8m stm-2.5.0.0
    streaming-commons-0.2.2.1-4juzeFS9byj8VmqLvBimW
    tar-0.5.1.1-C7jPIPQ9a3u6VdKUr6Fdja template-haskell-2.17.0.0
    temporary-1.3-LooEmCgHCJ78i3fmKLOfWh text-1.2.4.1
    text-metrics-0.3.1-4N1jfqFmKu7KYdWszlMyex
    th-reify-many-0.1.10-Bts6Qa9kcYqDOfYjWwA4ng time-1.9.3
    tls-1.5.5-8MQ7XvsfJoQ58T84ZPJbdk transformers-0.5.6.2
    typed-process-0.2.7.0-5uaBTbcudxYDkzy30TR1Io
    unicode-transforms-0.3.8-LBA4EmNvECk6C55fPq0F8J unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.20-5GWuNZleWALGLToDisqWNC
    unordered-containers-0.2.14.0-7mG6qiSFB7aBJ8f89E596e
    vector-0.12.3.1-EZShNBWDQ9s3G4ursgcoB7
    yaml-0.11.7.0-Fb3oNbdmvvT1N8pDsrUYdl
    zip-archive-0.4.1-4kJtPiISB7A8iPpQHcwcG9
    zlib-0.6.2.3-2cqIXBVKfBeDkv2RdIbETX

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

